﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace AppointmentMapping_SfSchedule_WinRT
{
    public sealed partial class MainPage : Page
    {
        //public ObservableCollection<MappedAppointment> MappedAppointments
        //{ get; set; }

        public ObservableCollection<EventViewModel> Events { get; set; }

        public MainPage()
        {

            InitializeComponent();

            Events = new ObservableCollection<EventViewModel>();

            DateTime originalStartDate = new DateTime(2014, 3, 20, 12, 30, 0);
            DateTime originalEndDate = new DateTime(2014, 3, 20, 1, 30, 0);

            ObservableCollection<EventViewModel> events = new ObservableCollection<EventViewModel>();

            for (int i = 0; i < 50; i++)
            {

                EventViewModel eventData = new EventViewModel();
                eventData.StartDateTime = originalStartDate + TimeSpan.FromDays(i * 7);
                eventData.EndDateTime = originalEndDate + TimeSpan.FromDays(i * 7);
                eventData.Subject = "Recurrence event on Thursdays";

                Events.Add(eventData);
            }
  

            this.Type_cmb.ItemsSource = Enum.GetValues(typeof(ScheduleType));
            this.Type_cmb.SelectedIndex = 3;
            this.DataContext = this;

        }
    }

}